Subject: Re: [bug?] tg3: Failed to load firmware "tigon/tg3_tso.bin"

From: Jeff Garzik <[email-masked]>
Date: Sun, 06 Jul 2008 16:51:13 -0400

David Woodhouse wrote:
> On Sun, 2008-07-06 at 13:17 -0700, [email-masked] wrote:
>> if David W were to make it possible to not use the load_firmware() call to 
>> userspace and build the firmware into the driver (be it in a monolithic 
>> kernel or the module that contains the driver)
> 
> You _can_ build the firmware into the kernel.

Which is a problem for those rare situations, like oh say vendor 
kernels, where you can ship a driver update but not update the main kernel.

Just like with modules, we were all given the _choice_ to use the new 
regime (modules) or stick with the old (100% monolithic kernel).

Under any new system, firmware should be able to be compiled into the 
driver module itself -- as it is today.

	Jeff